/**
 * Rotation banner js
 *
 * last update : 2014/10/17
 **/

/* global var */
// under IE8
var flag_ua;

// movie
var flag_movie;
var videoSrc;
var videoSrc_webm;
var videoSrc_ogv;

if (uaNtv.ltIE8) {
	flag_ua = 0;
} else {
	flag_ua = 1;
}

$(function(){
// main visual height
var objPageCat = $('body').attr('id');
var flag_pageCat;
var mvHeight;
var locate = location.href;

if ( (objPageCat === 'pageHome') || (objPageCat === 'pageIndex') ) {
	flag_pageCat = 1;
	mvHeight = '420';
} else if(objPageCat === 'pageCombined') {
	flag_pageCat = 3;
	mvHeight = '170';
} else if(locate.match('/accessory/') || locate.match('/record/')) {
	flag_pageCat = 3;
	mvHeight = '170';
} else {
	flag_pageCat = 0;
	mvHeight = '350';
}

oimc.mainBnr = oimc.mainBnr || {};
oimc.mainBnr.config = {
	width: '960px',
	height: mvHeight + 'px',
	changeTime : 4000
};

//debug
//console.log(objPageCat);
//console.log(flag_pageCat);
//console.log(mvHeight);
//console.log(oimc.mainBnr.config.height);

oimc.mainBnr.events = {
	BNR_CHNAGE    : 'bnrChange',
	BNR_CHNAGED   : 'bnrChanged',
	BNR_OVERD     : 'bnrOverd',
	BNR_OUTED     : 'bnrOuted',
	BNR_SWIPE     : 'bnrSwipe',
	BNR_CLIKED    : 'bnrcliked,',

	VIDEO_OPEN    : 'videoOpen',
	VIDEO_CLOSED  : 'videoClosed'
};

	// ------------------------------------------------------------------------
	// Rotation banner
	// ------------------------------------------------------------------------
	var BnrObj = function ( type, num, imageUrl, linkUrl, alt, bg, webm, ogv ) {
		this._type     = type;
		this._num      = num;
		this._imageUrl = imageUrl;
		this._linkUrl  = linkUrl;
		this._alt      = alt;
		this._bg       = bg;
		this._webm       = webm;
		this._ogv       = ogv;
		this.handle    = [];

		this.$displayObj;
	}

	BnrObj.prototype = {

		init: function() {

			var bg = "background: #transparent";
			var num     = this._num,
				linkUrl = '',
				self    = this;

//			if( this._type === 'video'){
//				linkUrl = "#";
			if( (this._type === 'video') && (flag_ua === 1) ){
				linkUrl = "#";
//				videoSrc_webm = this._webm;
//				videoSrc_ogv = this._ogv;
			}else if( (this._type === 'video') && (flag_ua === 0) ){
//				linkUrl = this._linkUrl;
				linkUrl = "#";
			}else {
				linkUrl = this._linkUrl;
			};

			//debug
//			console.log('[1]now link url：' + this._num + '：' + linkUrl);
//			console.log('[1]now WEBM path：' + this._num + '：' + videoSrc_webm);
//			console.log('[1]now OGV path：' + this._num + '：' + videoSrc_ogv);

			// Base tag
			var aTag   = '<a href="' + linkUrl+ '">';
			imgTag = '<img src="' + this._imageUrl + '" width="' + oimc.mainBnr.config.width + '" height="' + oimc.mainBnr.config.height + '" alt="' + this._alt + '">',
				tempObj = '';

			var mainBnrClickBtnTag = '<img src="/content/000076396.png" class="btnLink" />';
			var mainBnrClickBtnTag125 = '<img src="/content/000076396.png" class="btnLink125" />';

			// No link
			if( this._linkUrl == '' && this._type === 'image' ){
				tempObj = '<li id=mainBnr' + num + '><div style="'+ this._bg + '">' + imgTag + '</div></li>';
			}else {

				if(( this._type === 'image' ) & ( flag_pageCat == '3' )){
					tempObj = '<li id=mainBnr' + num + '><div style="'+ this._bg + '">' + aTag + imgTag + mainBnrClickBtnTag125 + '</a></div></li>';
				}else if( this._type === 'image' ){
					tempObj = '<li id=mainBnr' + num + '><div style="'+ this._bg + '">' + aTag + imgTag + mainBnrClickBtnTag + '</a></div></li>';
				}else if( this._type === 'video' ){
//				}else if( (this._type === 'video') && (flag_ua === 1) ){
					tempObj = '<li id=mainBnr' + num + '><div style="'+ this._bg + '">' + aTag + imgTag + '</a></div></li>';
				}else if( (this._type === 'video') && (flag_ua === 0) ){
//					tempObj = '<li id=mainBnr' + num + '><div style="'+ this._bg + '">' + aTag + imgTag + mainBnrClickBtnTag + '</a></div></li>';
					tempObj = '<li id=mainBnr' + num + '><div style="'+ this._bg + '">' + aTag + imgTag + '</a></div></li>';
				}else {
					throw new Error('type is not defind!')
				};

			};

			this.$displayObj = $(tempObj);

			$targetObj.append( this.$displayObj )
				.find( '#mainBnr' + num )
				.css({ opacity:0 });

			// for alt special character escape
			$( $('#mainBnr' + num).find( 'img' )[0] ).attr({ 'alt': this._alt });

			var touchStartTime = 0,
				touchStartPt   = 0,
				scrollFlag = false;

			// Event Bind
			$('#mainBnr' + num).find('a')
				.on('click', function(e){
					if( oimc.mainBnr.bnrArr[num].getLinkUrl() == '' && oimc.mainBnr.bnrArr[num].getType() === 'image' ){
						e.preventDefault();
						return;
					};

					e.preventDefault();
					$.publish( oimc.mainBnr.events.BNR_CLIKED, [] );
				})

			$('#mainBnr' + num)
				.on('mouseover', function(){
					$.publish( oimc.mainBnr.events.BNR_OVERD, [ num ]);
				})

				.on('mouseout', function(){
					$.publish( oimc.mainBnr.events.BNR_OUTED, [ num ]);
				})
				.on('touchstart', function(e){
					scrollFlag = false;
					// Don't insert "e.preventDefault();"
					// for touch scroll

					// Exclude android
					if( navigator.userAgent.indexOf('Android') > 0 ){
						return;
					};

					touchStartTime = new Date();
					touchStartPt   = e.originalEvent.pageX;

					$.publish( oimc.mainBnr.events.BNR_OVERD, [ num ]);
				} )

				.on('touchmove', function(e) {
					scrollFlag = true;
				})

				.on('touchend', function(e){

					// Exclude android
					if( navigator.userAgent.indexOf('Android') > 0 ){
						return;
					}

					//e.preventDefault();

					var touchEndTime = new Date(),
						touchEndPt   = e.originalEvent.changedTouches[0].pageX;

					var timeDif = touchEndTime - touchStartTime,
						ptdif   = touchEndPt - touchStartPt;

					// Click
					if( Math.abs(ptdif) < 100 && timeDif < 400 && !scrollFlag ){

						if( oimc.mainBnr.bnrArr[num].getLinkUrl() == '' && oimc.mainBnr.bnrArr[num].getType() === 'image' ){
							return;
						};

						$.publish( oimc.mainBnr.events.BNR_CLIKED, [] );
						return;
					};

					// Swipe left
					/*
					if( timeDif < 600 && ptdif <= -100 ){
						$.publish( oimc.mainBnr.events.BNR_SWIPE, [ 'swipeleft' ] );
					};

					// Swipe right
					if( timeDif < 600 && ptdif >= 100 ){
						$.publish( oimc.mainBnr.events.BNR_SWIPE, [ 'swiperight' ] );
					};
					*/

					// Continue rotation
					// Puclish for timer
					$.publish( oimc.mainBnr.events.BNR_OUTED, [ num ]);

				} )
		},

		bnrChangedEventBind: function( eventName ){

			var num = this._num,
				$displayObj = this.$displayObj,
				baseCss     = this.baseCss;

			this.handle = $.subscribe( eventName,

				function( idx, oldIdx ){

					// Delete old
					if( num === oldIdx ){

						$targetObj.find( '#mainBnr' + oldIdx )
							.stop()
							.animate({
								opacity: 0
							}, {
								duration: 700
							});
					};

					// Display now
					if( num === idx ){

						$targetObj.find('#mainBnr' + num)
							.stop()
							.animate({
								opacity: 1
							}, {
								delay:500,
								duration: 1000
							});
					};
				});
		},

		getType: function(){
			return this._type;
		},

		getImageUrl: function(){
			return this._imageUrl;
		},

		getLinkUrl: function(){
			return this._linkUrl;
		},

		getAlt: function(){
			return this._alt;
		},

		getWebm: function(){
			return this._webm;
		},

		getOgv: function(){
			return this._ogv;
		}
	};

	var $targetBtnObj;

	var BnrBtnObj = function( type, num ){
		this._type = type;
		this._num  = num;
		this.$displayObj
	};

	BnrBtnObj.prototype = {

		init: function() {

			this.$displayObj = '<li id=mainBnrBtn'+ this._num +'><a href="#"><img src="/content/000000051.png" alt="' + (this._num + 1) + '" /></a></li>';

			var num = this._num;
			$displayObj = this.$displayObj;

			$targetBtnObj.append( $displayObj );

			// clikedEvent
			$('.navArrow').find('li').off().on('click', function(e) {
				var direction = $(this).index();
				if(direction == 0) {
					direction = -1;
				};

				$.publish( oimc.mainBnr.events.BNR_CHNAGE, [ nowBnrId + direction] );
				e.preventDefault();
			});

			$('#mainBnrBtn' + num).on('click', function(e){
				e.preventDefault();
				$.publish( oimc.mainBnr.events.BNR_CHNAGE, [ num ] );
			});

			$('#mainBnrBtn' + num).on( 'mouseover', function(e){

				$.publish( oimc.mainBnr.events.BNR_OVERD, [ num ]);
			});

			$('#mainBnrBtn' + num).on( 'mousedown', function(e){

			});


		},

		bnrChangedEventBind: function( eventName ){

			var num         = this._num;
			$displayObj = this.$displayObj;
			vaseCss     = this.baseCss;
			str         = '';

			this.handle = $.subscribe( eventName,

				function( idx, oldIdx ){

					var str = '',
						$tempObj;

					// old
					if( num === oldIdx ){
						$tempObj = $targetBtnObj.children('#mainBnrBtn'+ num).find('img');
						$tempObj.attr({ 'src': '/content/000000051.png' });
					};

					// now
					if( num === idx ){
						$tempObj = $targetBtnObj.children('#mainBnrBtn'+ num).find('img');
						$tempObj.attr({ 'src': '/content/000024790.png' });
					};

				});
		}
	};

	var $targetObj = $('.listRotation');

	oimc.mainBnr.bnrArr = [];
	oimc.mainBnr.btnArr = [];

	function mainBnrinitialize(){

		// check
		if( !$targetObj.length ){
			return;
		};

		// laodingParts
		var w    = $targetObj.width(),
			rat  = w / 960;
		if( rat >= 1 ){
			rat = 1;
		};
		var h = ( Math.floor( mvHeight * rat) / 2 )  - 20 + 'px';

		$targetObj.prepend('<div id="loadingPart" style="width:100%; text-align: center; margin-top: ' + h + '"><img src="/content/000000016.gif"></div>');

		var i       = 0,
			$targetLi = $targetObj.find('li'),
			len     = $targetLi.length;

		// Convert to class
		for ( i = 0; i < len; i++ ) {
			var thisObj = $targetLi.eq(i);

//			oimc.mainBnr.bnrArr.push( new BnrObj( thisObj.find('a').attr('rel'), i, thisObj.find('img').attr('src'), thisObj.find('a').attr('href'), thisObj.find('img').attr('alt')) );
			oimc.mainBnr.bnrArr.push( new BnrObj( thisObj.find('a').attr('rel'), i, thisObj.find('img').attr('src'), thisObj.find('a').attr('href'), thisObj.find('img').attr('alt'), thisObj.find('div').attr('style'), thisObj.find('span.webm').text(), thisObj.find('span.ogv').text()) );
			oimc.mainBnr.btnArr.push( new BnrBtnObj( thisObj.find('a').attr('rel'), i ));

			// bnrIdChangedEventBind
			oimc.mainBnr.bnrArr[i].bnrChangedEventBind( oimc.mainBnr.events.BNR_CHNAGED );
			oimc.mainBnr.btnArr[i].bnrChangedEventBind( oimc.mainBnr.events.BNR_CHNAGED );
		}

		var loadedCounter = 0,
			imgObjArry    = [];

		loadImges();

		// Load img
		function loadImges() {

			var imgObj = new Image();

			$( imgObj ).bind("load",
				function(){
					loadedCounter++;
					imgObjArry.push( imgObj );

					if ( loadedCounter === len ) {
						rotationPrepare();
					} else {
						loadImges();
					}
				} );

			imgObj.src = oimc.mainBnr.bnrArr[ loadedCounter ].getImageUrl();
		};
	};

	var bnrIntervalId = 0,
		nowBnrId      = -1,
		oldBnrId      = 0,
		bnrLen        = 0,
		animetionFlg = false;

	function rotationPrepare(){

		bnrLen = oimc.mainBnr.bnrArr.length;

		//$('.listRotation').prepend('<ul></ul>');

		// base object
		$targetObj = $('.listRotation ul');
		$targetObj.empty();

		$targetObj.parents('.mainVisual').append('<ul class="navRotation" style="z-index:250"></ul>');
		if(bnrLen > 1){
			$targetObj.parents('.mainVisual').append('<ul class="navArrow" style="z-index:260"><li><img src="/content/000000053.png" alt="Preview" /></li><li><img src="/content/000000054.png" alt="Next" /></li></ul>');
		}
		// Button settings
		$targetBtnObj = $('.navRotation');
		$targetBtnObj.css({ opacity:0, width:25 * oimc.mainBnr.btnArr.length });

		// Initialize
		var i = 0;

		for(; i < bnrLen; i++ ){
			// init
			oimc.mainBnr.bnrArr[i].init();
			oimc.mainBnr.btnArr[i].init();
		};

		// Ajust banner and indicator height
		mainBnrWindowResizeHandler();

		// Event Bind
		$.subscribe(oimc.mainBnr.events.BNR_OVERD, bnrMouseOverdHandler );	// Mouseover to mainbanner
		$.subscribe(oimc.mainBnr.events.BNR_OUTED, bnrMouseOutedHandler );	// Mouseout from mainbanner
		$.subscribe(oimc.mainBnr.events.BNR_CLIKED, bnrClikedHandler );	// Clicked to mainbanner

		$.subscribe(oimc.mainBnr.events.BNR_SWIPE, bnrSwipeHandler );	// Swiped mainbanner

		$.subscribe(oimc.mainBnr.events.BNR_CHNAGE, btnClikedHandler );	// Clicked button

		// key Event
		$(document).on('keydown', keyboadEventHandler );

		// Delete loadingPatrs and start
		$('#loadingPart').animate({
			opacity: 0
		},{
			duration:400,
			complete: function(){
				$(this).remove();
				setTimeout(rotationBegin, 100);
			}
		});

	};


	var keyboadEventTimer = false;
	function keyboadEventHandler(e) {

		if ( keyboadEventTimer !== false ) {
			clearTimeout( keyboadEventTimer );
		}

		keyboadEventTimer = setTimeout( function(){
			keyboadEventHandler02(e);
		}, 100);
	};


	var stoppedFlg    = false,
		focusOutedFlg = false;
	function keyboadEventHandler02(e) {

		keyboadEventTimer = false

		var keyCode = e.keyCode,
			arrow = {left: 37, up: 38, right: 39, down: 40 },
			newBnrId = 0;

		if( keyCode === arrow.left ){
			newBnrId = nowBnrId - 1;
		} else if( keyCode === arrow.right ){
			newBnrId = nowBnrId + 1;
		} else {
			return;
		};

		// Disable while playing video
		if( videoFlg ){
			return;
		};


		oldBnrId = nowBnrId;
		nowBnrId = newBnrId;

		if( nowBnrId > ( bnrLen - 1 ) ){
			nowBnrId = 0;
		};

		if( nowBnrId < 0 ){
			nowBnrId = bnrLen - 1;
		};


		if( !stoppedFlg ){
			clearInterval( bnrIntervalId );
			bnrIntervalId = setInterval( onEnterframeHadler, oimc.mainBnr.config.changeTime );
		};

		brnChangeFunc( nowBnrId, oldBnrId );
	};


	function bnrSwipeHandler( type ){

		// type = 'swipeleft' or 'swipewight'
		var newBnrId = 0;

		if( type === 'swipeleft' ){
			newBnrId = nowBnrId + 1;
		}else if( type === 'swiperight' ){
			newBnrId = nowBnrId - 1;
		} else {
			// alert( "type is Error : " + type );
		}

		oldBnrId = nowBnrId;
		nowBnrId = newBnrId;

		if( nowBnrId > ( bnrLen - 1 ) ){
			nowBnrId = 0;
		};

		if( nowBnrId < 0 ){
			nowBnrId = bnrLen - 1;
		};

		brnChangeFunc( nowBnrId, oldBnrId );
	};


	function rotationBegin() {

		stoppedFlg = false;

		// Disable rotation when element number is one
		if( oimc.mainBnr.bnrArr.length <= 1){
			$targetBtnObj.css({ display:'none' });
			nowBnrId = 0;
			brnChangeFunc( nowBnrId, 0 );
			return
		};

		// Display button
		$targetBtnObj.animate({
			opacity: 1
		},{
			duration:800
		});

		bnrIntervalId = setInterval( onEnterframeHadler, oimc.mainBnr.config.changeTime );

		// Start first time
		onEnterframeHadler();
	};

	function onEnterframeHadler() {

		oldBnrId = nowBnrId;
		nowBnrId++;

		if( nowBnrId > ( bnrLen - 1 ) ){
			nowBnrId = 0;
		};

		if( nowBnrId < 0 ){
			nowBnrId = bnrLen - 1;
		};

		brnChangeFunc( nowBnrId, oldBnrId );
	};

	function brnChangeFunc( nowBnrId_, oldBnrId_ ){

		$.publish( oimc.mainBnr.events.BNR_CHNAGED, [nowBnrId_, oldBnrId_]);

		// Move nowBnrId to top
		var baseZ = 200;
		$('#mainBnr' + nowBnrId_).css({ zIndex:baseZ })

		var i = 0;
		for(; i < bnrLen; i++ ){

			if( i !== nowBnrId_){
				baseZ = baseZ - i;
				$('#mainBnr' + i).css({ zIndex:baseZ - 1 })
			}

		};
	};

	function bnrMouseOverdHandler() {
		stoppedFlg = true;
		clearInterval( bnrIntervalId );
	};

	function bnrMouseOutedHandler() {

		if( videoFlg ){
			return;
		};

		if( !stoppedFlg ){
			return;
		};

		stoppedFlg = false;
		bnrIntervalId = setInterval( onEnterframeHadler, oimc.mainBnr.config.changeTime );
	};

	function btnClikedHandler( num ) {

		if( nowBnrId === num ){
			return
		};

		oldBnrId = nowBnrId;
		nowBnrId = num;

		if( nowBnrId > ( bnrLen - 1 ) ){
			nowBnrId = 0;
		};

		if( nowBnrId < 0 ){
			nowBnrId = bnrLen - 1;
		};

		clearInterval( bnrIntervalId );
		brnChangeFunc( nowBnrId, oldBnrId );
	};

	var videoFlg = false;

	function bnrClikedHandler(){
		var type = oimc.mainBnr.bnrArr[nowBnrId].getType();
		videoSrc = oimc.mainBnr.bnrArr[nowBnrId].getLinkUrl();

		if(videoSrc.match(/^\/\//)){
			videoSrc = videoSrc + '&wmode=transparent';
			flag_movie = 0;//iframe
		}else{
			flag_movie = 1;//video
			videoSrc_webm = oimc.mainBnr.bnrArr[nowBnrId].getWebm();
			videoSrc_ogv = oimc.mainBnr.bnrArr[nowBnrId].getOgv();

			//debug
//			console.log('[100]MP4 path:' + videoSrc);
//			console.log('[100]WEBM path:' + videoSrc_webm);
//			console.log('[100]OGV path:' + videoSrc_ogv);
		}

		//debug
//		console.log('[100]movie type:' + flag_movie);

		if( type === 'image' ){
			var clikedBnrUrl = $('#mainBnr' + nowBnrId).find('a').attr('href')
			window.location.href = clikedBnrUrl;
		}else if( (type === 'video') && (flag_movie === 0) ){
			videoEmbedFunc();
		}else if( (type === 'video') && (flag_movie === 1) && (flag_ua === 1) ){
			videoEmbedFunc();
		}else if( (type === 'video') && (flag_movie === 1) && (flag_ua === 0) ){
//			var clikedBnrUrl = $('#mainBnr' + nowBnrId).find('a').attr('href')
//			window.location.href = clikedBnrUrl;
			videoEmbedFunc();
		}else {
			alert('Error - Set data unexpected type');
		}

	};

	function videoEmbedFunc(){

		videoFlg = true;
		stoppedFlg = true;
		clearInterval( bnrIntervalId );

		var $sel = $('.listRotation'),
			w    = $sel.width(),
			rat  = w / 960;

		if( rat >= 1 ){
			rat = 1;
		};

//		var h = Math.floor( 518 * rat);
		var h = ( Math.floor( 518 * rat) + 22 );

		// remove when video element exist
		var $videoObj = $sel.find('.yPlayer');
		
		// hide prev next nav
		$('.mainVisual .navArrow').hide();
		
		if( $videoObj.length ){

			// Delete closeBtn and event
			$('.yPlayer > .btnClose > a').off( 'click', videoCloseBtnClickedHandler );

			$videoObj.remove();
		};

		$targetObj.find('li')
			.stop()
			.animate({
				opacity: 0
			},{
				duration: 600
			});

		$('.navRotation')
			.stop()
			.animate({
				opacity: 0
			},{
				duration: 600
			});

		$sel.stop()
			.animate({
				height: h + 74
			}, {
				duration: 600,
				complete: videoShow
			});
	};

	function videoShow(){
		// generate!

		if(flag_movie === 0){
		obj = '<div class="yPlayer" style="z-index:250; opacity: 0;"><div class="iframeLayout h551" style="z-index:250;"><iframe width="960" height="518" style="z-index:1;" src="' + videoSrc + '" frameborder="0" allowfullscreen></iframe></div><p class="btnClose"><a href="#"><img src="/content/000000055.png" alt="Close" /></a></p></div>';
		}else if( (flag_ua === 1) && (flag_movie === 1) ){
			obj = '<div class="yPlayer" style="z-index:250; opacity: 0;"><div class="video" style="z-index:250;"><video controls preload autoplay width="960" height="518"><source src="' + videoSrc_webm + '" type="video/webm" /><source src="' + videoSrc + '" type="video/mp4" /><source src="' + videoSrc_ogv + '" type="video/ogg" />Your browser does not support the <code>video</code> element.</video></div><p class="btnClose"><a href="#"><img src="/content/000000055.png" alt="Close" /></a></p></div>';
		}else if( (flag_ua === 0) && (flag_movie === 1) ){
			obj = '<script type="text/javascript" src="/assets/js/flowplayer.min.js"></script><div class="yPlayer" style="z-index: 250; opacity: 0;"><div class="video" style="z-index: 250;"><div data-swf="/assets/js/flowplayer.swf" class="flowplayer no-toggle play-button" style="z-index: 300;"><video preload autoPlay><source src="' + videoSrc + '" type="video/mp4" />Your browser does not support the <code>video</code> element.</video></div></div><p class="btnClose"><a href="#"><img src="/content/000000055.png" alt="Close" /></a></p></div>';
		}

		// add
		var $sel = $('.listRotation');
		$sel.prepend(obj);
		$sel.css({ zIndex:150 })

		var $videoObj = $sel.find('.yPlayer');
		$('.yPlayer > .btnClose > a').on( 'click', videoCloseBtnClickedHandler );

		$videoObj.stop()
			.animate({
				opacity: 1
			}, {
				duration: 600,
				complete: function(){
					//
				}
			});
	};

	function videoCloseBtnClickedHandler(e) {

		e.preventDefault();

		$('.yPlayer > .btnClose > a').off( 'click', videoCloseBtnClickedHandler );

		var $sel = $('.yPlayer');
		
		// show prev next nav
		$('.mainVisual .navArrow').show();

		// Delete video area
		$sel.stop()
			.animate({
				opacity:0
			},{
				duration: 400,
				complete: function(){

					// HACK: for underIE8
//					$sel.find('iframe').attr({ src:'' });
//					$sel.find('.video video source').attr({ src:'' });

					setTimeout(function(){
						// Delete area
						$sel.remove();
					}, 50);

				}
			});


		// Return area size
		videoFlg = false;
		var $container = $('.listRotation'),
			w          = $container.width(),
			rat        = w / 960;

		if( rat >= 1 ){
			rat = 1;
		};

		// Change height
		setTimeout(function(){

			$container
				.stop()
				.animate({
					height: Math.floor( mvHeight * rat)
				},{
					duration:600
				} );

		}, 480);

		// Change button's opacity
		setTimeout(function(){

			$('.navRotation')
				.stop()
				.animate({
					opacity: 1
				},{
					duration: 600
				});

		}, 550);

		// Resume rotation after waiting for a while
		setTimeout(function(){

			var bnrNum = nowBnrId;
			bnrNum++;

			$container.css({ zIndex:'' });

			stoppedFlg = false;

			btnClikedHandler( bnrNum );
			bnrIntervalId = setInterval( onEnterframeHadler, oimc.mainBnr.config.changeTime );

		}, 1350);
	};

	// Change banner height width window width and ajust indicator position
	$(window).resize( mainBnrWindowResizeHandler );

	// handler
	function mainBnrWindowResizeHandler(){

		$(window).off( 'resize', mainBnrWindowResizeHandler );

		var $sel = $('.listRotation'),
			w    = $sel.width(),
			rat  = w / 960;

		if( rat >= 1 ){
			rat = 1;
		};

		// Ajust height
		// Judge video embed or not
		if( !videoFlg ){
			$sel.height( Math.floor( mvHeight * rat) );
		} else {
			$sel.height( Math.floor( 518 * rat) + 96 );
		};

		// Ajust indicator position
		var $btnContainerObj = $('.navRotation');
		if( $btnContainerObj.length > 0 ){
			var btnPt = Math.floor( ( w - $btnContainerObj.width() ) / 2 );
			$btnContainerObj.css({ left:btnPt + 'px' });
		};

		setTimeout(function(){
			$(window).on( 'resize', mainBnrWindowResizeHandler );
		},30)
	};

	// Main banner
	mainBnrinitialize();

	// Ajust rotation banner height
	mainBnrWindowResizeHandler();
});